Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.primitive
Class PrimitiveAssertionBuilder

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertionBuilder

All Implemented Interfaces:
  AssertionBuilder

Direct Known Subclasses:
  NestedPrimitiveAssertionBuilder, XMLPrimitiveAssertionBuilder

    public class PrimitiveAssertionBuilder

extends java.lang.Object
implements AssertionBuilder

Field Summary
`protected Bus` | `bus`

Constructor Summary
`PrimitiveAssertionBuilder()`
`PrimitiveAssertionBuilder(java.util.Collection<javax.xml.namespace.QName> els)`

Method Summary
`PolicyAssertion` | `build(org.w3c.dom.Element element)` Constructs an assertion from an xml element.
`PolicyAssertion` | `buildCompatible(PolicyAssertion a, PolicyAssertion b)` If the two assertions are equal, they are also compatible.
`java.util.Collection<javax.xml.namespace.QName>` | `getKnownElements()` Returns a collection of QNames describing the xml schema types for which this builder can build assertions.
`protected PolicyConstants` | `getPolicyConstants()`
`void` | `setBus(Bus b)`
`void` | `setKnownElements(java.util.Collection<javax.xml.namespace.QName> k)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bus

    protected Bus bus

Constructor Detail

### PrimitiveAssertionBuilder

    public PrimitiveAssertionBuilder()

### PrimitiveAssertionBuilder

    public PrimitiveAssertionBuilder(java.util.Collection<javax.xml.namespace.QName> els)

Method Detail

### setBus

    public void setBus(Bus b)

### build

    public PolicyAssertion build(org.w3c.dom.Element element)

  Description copied from interface: `AssertionBuilder`
  Constructs an assertion from an xml element.

  Specified by:
    `build` in interface `AssertionBuilder`
  Parameters:
    `element` - the element from which to build an assertion
  Returns:
    an Assertion built from the given element

### getKnownElements

    public java.util.Collection<javax.xml.namespace.QName> getKnownElements()

  Description copied from interface: `AssertionBuilder`
  Returns a collection of QNames describing the xml schema types for which this builder can build assertions.

  Specified by:
    `getKnownElements` in interface `AssertionBuilder`
  Returns:
    collection of QNames of known schema types

### setKnownElements

    public void setKnownElements(java.util.Collection<javax.xml.namespace.QName> k)

### buildCompatible

    public PolicyAssertion buildCompatible(PolicyAssertion a,
                                           PolicyAssertion b)

  If the two assertions are equal, they are also compatible. The compatible policy is optional iff both assertions are optional.

  Specified by:
    `buildCompatible` in interface `AssertionBuilder`

### getPolicyConstants

    protected PolicyConstants getPolicyConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF